apiVersion: apps/v1
kind: Deployment
metadata:
  name: kad
spec:
  replicas: 4
  #strategy:
  #  type: RollingUpdate
  #  rollingUpdate:
  #    maxSurge: 1
  #    maxUnavailable: 49%
  selector:
    matchLabels:
      app: kad
  template:
    metadata:
      labels:
        app: kad
    spec:
      containers:
      - name: app
        image: tomkukral/kad:v2
